- Qt 5.5
- Qt3D Module
- C++ Classes
- KeyboardController
- Qt 5.5.1 Reference Documentation

# KeyboardController Class

(Qt3D::Input::KeyboardController)

Inherits: |

- List of all members, including inherited members

## Public Functions

| KeyboardController()
void | addKeyboardInput(const QNodeId & input)
QNodeId | currentFocusItem() const
QVector<QNodeId> | keyboardInputs() const
QVector<HKeyboardInput> | keyboardInputsHandles() const
QNodeId | lastKeyboardInputRequester() const
void | removeKeyboardInput(const QNodeId & input)
void | requestFocusForInput(const QNodeId & inputId)
void | setCurrentFocusItem(const QNodeId & input)
void | setInputHandler(InputHandler * handler)
void | updateFromPeer(QNode * peer)

## Protected Functions

void | sceneChangeEvent(const QSceneChangePtr &)

## Member Function Documentation

### KeyboardController::KeyboardController()

### void KeyboardController::addKeyboardInput(const QNodeId & input)

### QNodeId KeyboardController::currentFocusItem() const

See also setCurrentFocusItem().

### QVector<QNodeId> KeyboardController::keyboardInputs() const

### QVector<HKeyboardInput> KeyboardController::keyboardInputsHandles() const

### QNodeId KeyboardController::lastKeyboardInputRequester() const

### void KeyboardController::removeKeyboardInput(const QNodeId & input)

### void KeyboardController::requestFocusForInput(const QNodeId & inputId)

### `[protected]` void KeyboardController::sceneChangeEvent(const QSceneChangePtr &)

### void KeyboardController::setCurrentFocusItem(const QNodeId & input)

See also currentFocusItem().

### void KeyboardController::setInputHandler(InputHandler * handler)

### void KeyboardController::updateFromPeer(QNode * peer)